Subject: [bug#31911] [PATCH] services: Add prometheus-node-exporter-service-type.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 25 Jun 2018 10:56:19 +0200

Hello,

Gábor Boskovits <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> ezt írta (időpont: 2018. jún. 23., Szo,
> 23:51):

[...]

>> That’s very useful!  Hopefully we can start using it on our build farm,
>> though we’ll need Grafena (?) or something to visualize those stats,
>> right?  OTOH apparently it already provides a web interface, so…?
>>
>>
> This is actually only one half of the solution, this provides an endpoint
> for
> the prometheus server to scrape. I've not yet packaged the server part.
> The server has the needed visualization capabilities.

OK, I see.

>> +@deftp {Data Type} prometheus-node-exporter-configuration
>> > +Data type representing the configuration of @command{node_exporter}.
>> > +
>> > +@table @asis
>> > +@item @code{package} (default:
>> @code{go-github-com-prometheus-node-exporter})
>> > +The prometheus-node-exporter package to use.
>> > +@item @code{web-listen-address} (default: @code{":9100"})
>> > +Bind the web interface to the specified address.
>>
>> Please add a newline before the second @item.
>>
>>
> Most of these were copied almost verbatim form darkstat service. Maybe
> these modification should be also applied there.
> Will send an updated patch. Should I contact Sou Bunnbu regadring the
> darkstat documentation, or should I fix it?

You can go ahead and fix them as a separate commit.

Thanks,
Ludo’.